Loading...
Searching...
No Matches
websocketpp::transport::asio::error Namespace Reference

Asio transport errors. More...

## Classes

class | category
| Asio transport error category. More...

## Enumerations

enum | value { general = 1 , invalid_num_bytes , pass_through , proxy_failed , proxy_invalid , invalid_host_service }

## Functions

lib::error_category const & | get_category ()
| Get a reference to a static copy of the asio transport error category.
lib::error_code | make_error_code (error::value e)
| Create an error code with the given value and the asio transport category.

## Detailed Description

Asio transport errors.

## Enumeration Type Documentation

## value

enum websocketpp::transport::asio::error::value

Enumerator
general | Catch-all error for transport policy errors that don't fit in other categories
invalid_num_bytes | async_read_at_least call requested more bytes than buffer can store
pass_through | there was an error in the underlying transport library
proxy_failed | The connection to the requested proxy server failed.
proxy_invalid | Invalid Proxy URI.
invalid_host_service | Invalid host or service.

Definition at line 162 of file base.hpp.

## Function Documentation

## get_category()

lib::error_category const & websocketpp::transport::asio::error::get_category | ( |  | ) |

inline

Get a reference to a static copy of the asio transport error category.

Definition at line 211 of file base.hpp.

## make_error_code()

lib::error_code websocketpp::transport::asio::error::make_error_code | ( | error::value | e | ) |

inline

Create an error code with the given value and the asio transport category.

Definition at line 217 of file base.hpp.